<?php
/*
Plugin Name: formativ.net Simple Contact Form
Plugin URI: https://joomla-updates.formativ.net/wordpress/customer
Description: Stellt ein einfaches Kontaktformular bereit
Author: formativ.net GmbH
Author URI: https://www.formativ.net
Version: 0.6
*/

function fnet_admin_init(){
	register_setting( 'fnet-option-group', 'fnet-email-option-field' );
}

function importAddMenu() {
  add_menu_page('Formulare', 'Formulare', 10, 'fnet-project-option', 'contactFormFnet', '/wp-content/plugins/kontaktformular-fnet/images/icon.png', '30');
}

if ( is_admin() ){ // admin actions
	add_action('admin_menu', 'importAddMenu');
	add_action( 'admin_init', 'fnet_admin_init' );
} else {
	// non-admin enqueues, actions, and filters
}

function contactFormFnet() {
	include __DIR__."/contactFormFnet.php";
}

function fnet_frey_java_scripts() {
	wp_enqueue_script(
		'fnet-plugin',
		plugins_url( '/js/plugin.js' , __FILE__ ),
		array( 'jquery' )
	);
}
add_action( 'wp_enqueue_scripts', 'fnet_frey_java_scripts' );


add_filter('widget_text', 'do_shortcode', 11);


add_shortcode( 'contact', 'shortcodeContact');
function shortcodeContact() {
	wp_register_style( 'fnetStylesheet', plugins_url('css/styles.css', __FILE__) );
	wp_enqueue_style( 'fnetStylesheet' );
	ob_start();
	include __DIR__."/form/contactForm.php";
	$content = ob_get_contents();
	ob_end_clean();
	return $content;
}

add_shortcode( 'contactMed', 'shortcodeContactMed');
function shortcodeContactMed() {
	wp_register_style( 'fnetStylesheet', plugins_url('css/styles.css', __FILE__) );
	wp_enqueue_style( 'fnetStylesheet' );
	ob_start();
	include __DIR__."/form/contactMed.php";
	$content = ob_get_contents();
	ob_end_clean();
	return $content;
}

add_shortcode( 'contactCols', 'shortcodeContactCols');
function shortcodeContactCols() {
	wp_register_style( 'fnetStylesheet', plugins_url('css/styles.css', __FILE__) );
	wp_enqueue_style( 'fnetStylesheet' );
	ob_start();
	include __DIR__."/form/contactCols.php";
	$content = ob_get_contents();
	ob_end_clean();
	return $content;
}

add_shortcode( 'contactFull', 'shortcodeContactFull');
function shortcodeContactFull() {
	wp_register_style( 'fnetStylesheet', plugins_url('css/styles.css', __FILE__) );
	wp_enqueue_style( 'fnetStylesheet' );
	ob_start();
	include __DIR__."/form/contactFull.php";
	$content = ob_get_contents();
	ob_end_clean();
	return $content;
}

require 'plugin-update-checker/plugin-update-checker.php';
$myUpdateChecker = PucFactory::buildUpdateChecker(
	'https://joomla-updates.formativ.net/wordpress/customer/all/kontaktformular-fnet.json',
	__FILE__
);